#
# spec file for package fvwm2 (Version 2.5.23)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit ConsoleKit-32bit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs audit-libs-32bit autoconf automake avahi avahi-devel avahi-glib bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cracklib-32bit cups-libs cvs cyrus-sasl db1 db1-devel dbus-1 dbus-1-32bit dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 esound esound-devel file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel fribidi fribidi-devel gail gail-lang gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel giflib glib glib-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-keyring gnome-keyring-lang gnome-libs gnome-libs-devel gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang grep groff gtk gtk-devel gtk-doc gtk2 gtk2-devel gxmhtml gzip hal hal-devel hicolor-icon-theme imlib imlib-config imlib-devel indent info insserv iso_ent keyutils-libs krb5 less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libcroco libcroco-devel libdaemon libdb-4_5 libdb-4_5-32bit libdrm libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libglade2 libgnome libgnome-lang libgnomecanvas libgnomecanvas-lang libgnomeprint libgnomeprint-lang libgnomeprintui libgnomeprintui-lang libgnomesu libgnomesu-lang libgnomeui libgnomeui-lang libgomp42 libgpg-error libgsf libgsf-devel libgsf-gnome libjpeg libjpeg-devel libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 librsvg librsvg-devel libsmbios-libs libstdc++42 libstdc++42-devel libstroke libstroke-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libxcrypt-32bit libxml2 libxml2-devel libxslt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg nss-mdns nss-mdns-32bit openjade openldap2-client opensp openssl-certs orbit orbit-devel orbit2 orbit2-devel pam pam-32bit pam-config pam-modules pango pango-devel parted patch perl perl-base permissions pkg-config pmtools popt popt-devel pwdutils readline-devel rpm sed setserial sgml-skel sysvinit tar tcpd texinfo timezone update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           fvwm2
BuildRequires:  freetype2-devel fribidi-devel gcc-c++ gnome-libs-devel gtk-devel gtkdoc imlib-config imlib-devel libpng-devel librsvg-devel libstroke-devel pkgconfig readline-devel update-desktop-files
License:        GPL v2 or later
Group:          System/GUI/Other
Provides:       fvwm fvwmicns windowmanager xpmroot
Obsoletes:      fvwm xpmroot
AutoReqProv:    on
Version:        2.5.23
Release:        1.1
Summary:        Improved Version of FVWM Window Manager
Url:            http://www.fvwm.org
Source0:        fvwm-2.5.23.tar.bz2
Source1:        fvwm_icons.tar.bz2
Source3:        %name.desktop
Source4:        system.fvwm2rc
Source5:        _system.fvwm2rc
Source6:        openSuSE.xpm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       xdg-menu, desktop-data, mktemp, xli
Patch0:         fvwm-configure.patch
Patch1:         fvwm-%{version}-gcc-warnings.patch
Patch2:         fvwm-%{version}-ia64.patch
Patch3:         fvwm-%{version}-sv_SE.patch
Patch4:         fvwm-%{version}-utf_encoding.patch

%description
FVWM is a virtual desktop window manager for the X Window System.

FVWM is intended to have a small memory footprint but a rich feature
set, to be extremely customizable and extendible, and to be very
compatible with the Motif MWM.



Authors:
--------
    The fvwm developers <fvwm-workers@fvwm.org>

%debug_package
%package gtk
Summary:        Improved Version of FVWM Window Manager
Group:          System/GUI/Other
Requires:       fvwm2

%description gtk
FVWM is a virtual desktop window manager for the X Window System.

FVWM is intended to have a small memory footprint but a rich feature
set, to be extremely customizable and extendible, and to be very
compatible with the Motif MWM.



Authors:
--------
    The fvwm developers <fvwm-workers@fvwm.org>

%if "%(xft-config --prefix)" == "/usr"
%define _xorg7libs %_lib
%define _xorg7bin bin
%define _xorg7libs32 lib
%define _xorg7libshare share
%define _xorg7prefix /usr
%define _xorg7mandir %_mandir
%else
%define _xorg7libs X11R6/%_lib
%define _xorg7bin X11R6/bin
%define _xorg7libshare X11R6/lib
%define _xorg7libs32 X11R6/lib
%define _xorg7prefix /usr/X11R6
%define _xorg7mandir /usr/X11R6/man
%endif
%prep
%setup -q -n fvwm-2.5.23
%patch0
%patch1
%patch2
%patch3
%patch4
find . -name *sv_SE* |xargs rename sv_SE sv  
mkdir icons
tar -C icons -j -x -v -f $RPM_SOURCE_DIR/fvwm_icons.tar.bz2
cp %{S:6} icons
#
# build 

%build
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
LDFLAGS="-L/usr/%_lib" \
./configure \
		--prefix=%{_xorg7prefix} \
		--bindir=%{_prefix}/%{_xorg7bin} \
		--sysconfdir=/etc/X11/fvwm2 \
		--libexecdir=%{_xorg7prefix}/lib/X11/fvwm2 \
		--mandir=%{_xorg7mandir} \
		--x-includes=%{_xorg7prefix}/include \
		--x-libraries=%{_xorg7prefix}/%_lib \
		--with-imagepath=%{_prefix}/%{_xorg7libshare}/X11/fvwm2/pixmaps:%{_prefix}/%{_xorg7libshare}/X11/fvwm2/bitmaps:/usr/share/wallpapers
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
#make prefix=$RPM_BUILD_ROOT%{_xorg7prefix} \
#     sysconfdir=$RPM_BUILD_ROOT/etc/X11/fvwm2 \
#     install
#
# default config
install -d -m 755 $RPM_BUILD_ROOT/etc/X11/fvwm2
%if "%(xft-config --prefix)" == "/usr"
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/etc/X11/fvwm2/system.fvwm2rc
%else
install -m 644 %SOURCE5 $RPM_BUILD_ROOT/etc/X11/fvwm2/system.fvwm2rc
%endif
#
# some extra utils
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/%{_xorg7libshare}/X11/fvwm2/utils
install utils/quantize_pixmaps $RPM_BUILD_ROOT%{_prefix}/%{_xorg7libshare}/X11/fvwm2/utils
#
# documentation for modules
rm sample.fvwmrc/Makefile* sample.fvwmrc/system.fvwm2rc-sample-95
rm docs/Makefile*
install -d -m 755 docu-module
for i in `find -name "README*" ! -name "*,v" ! -name "*.orig"`
do
	TMPDIR=`dirname ${i#./}`
	if [ "x$TMPDIR" = "x." ]; then
		install -m 644 $i docu-module/${i#./}
	else
		install -m 644 $i docu-module/README.`basename "$TMPDIR"`
	fi
done
#
# icons
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/%{_xorg7libshare}/X11/fvwm2/pixmaps
install -m 644 icons/* $RPM_BUILD_ROOT%{_prefix}/%{_xorg7libshare}/X11/fvwm2/pixmaps
#
# install kdm/gdm entry
install -m 0755 -d $RPM_BUILD_ROOT/usr/share/xsessions/
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT/usr/share/xsessions/
# removing the useless README.vms file 
rm -f  $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/fvwm2/README.vms
%suse_update_desktop_file $RPM_BUILD_ROOT/usr/share/xsessions/%name.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS docs sample.fvwmrc docu-module/*
%dir /etc/X11/fvwm2
%config /etc/X11/fvwm2/system.fvwm2rc
%{_prefix}/%{_xorg7bin}/*
%{_prefix}/%{_xorg7libs32}/X11/fvwm2/*
%exclude %{_prefix}/%{_xorg7libs32}/X11/fvwm2/FvwmGtk*
%{_prefix}/%{_xorg7libshare}/X11/fvwm2/pixmaps/*
#%{_xorg7prefix}/share/locale/*/*/*
# the find_lang macro is not very usable for fwvm, 
# listing the files manually
%lang(ar) %{_xorg7prefix}/share/locale/ar/LC_MESSAGES/fvwm.mo
%lang(de) %{_xorg7prefix}/share/locale/de/LC_MESSAGES/fvwm.mo
%lang(fr) %{_xorg7prefix}/share/locale/fr/LC_MESSAGES/fvwm.mo
%lang(sv) %{_xorg7prefix}/share/locale/sv/LC_MESSAGES/fvwm.mo
%lang(zh) %{_xorg7prefix}/share/locale/zh_CN/LC_MESSAGES/fvwm.mo
%lang(ar) %{_xorg7prefix}/share/locale/ar/LC_MESSAGES/FvwmScript.mo
%lang(ar) %{_xorg7prefix}/share/locale/ar/LC_MESSAGES/FvwmTaskBar.mo
%lang(de) %{_xorg7prefix}/share/locale/de/LC_MESSAGES/FvwmScript.mo
%lang(de) %{_xorg7prefix}/share/locale/de/LC_MESSAGES/FvwmTaskBar.mo
%lang(fr) %{_xorg7prefix}/share/locale/fr/LC_MESSAGES/FvwmScript.mo
%lang(fr) %{_xorg7prefix}/share/locale/fr/LC_MESSAGES/FvwmTaskBar.mo
%lang(sv) %{_xorg7prefix}/share/locale/sv/LC_MESSAGES/FvwmScript.mo
%lang(sv) %{_xorg7prefix}/share/locale/sv/LC_MESSAGES/FvwmTaskBar.mo
%lang(zh) %{_xorg7prefix}/share/locale/zh_CN/LC_MESSAGES/FvwmScript.mo
%lang(zh) %{_xorg7prefix}/share/locale/zh_CN/LC_MESSAGES/FvwmTaskBar.mo
%{_prefix}/%{_xorg7libshare}/X11/fvwm2/utils/quantize_pixmaps
%dir %{_xorg7prefix}/lib/X11/fvwm2
%{_xorg7prefix}/share/fvwm
%dir %{_prefix}/%{_xorg7libshare}/X11/fvwm2
%dir %{_prefix}/%{_xorg7libshare}/X11/fvwm2/pixmaps
%dir %{_prefix}/%{_xorg7libshare}/X11/fvwm2/utils
%{_xorg7mandir}/man1/*
%{_datadir}/xsessions/*desktop
%if "%(xft-config --prefix)" == "/usr/X11R6"
%dir %{_xorg7prefix}/share/locale/ar
%dir %{_xorg7prefix}/share/locale/ar/LC_MESSAGES
%dir %{_xorg7prefix}/share/locale/de
%dir %{_xorg7prefix}/share/locale/de/LC_MESSAGES
%dir %{_xorg7prefix}/share/locale/fr
%dir %{_xorg7prefix}/share/locale/fr/LC_MESSAGES
%dir %{_xorg7prefix}/share/locale/zh_CN
%dir %{_xorg7prefix}/share/locale/zh_CN/LC_MESSAGES
%endif

%files gtk
%defattr(-,root,root)
%{_prefix}/%{_xorg7libs32}/X11/fvwm2/FvwmGtk*
%changelog
* Tue Sep 25 2007 - lmichnovic@suse.cz
- file list with %%lang (macro find_lang is hard to use for fvwm)
- added gnome-libs-devel (/usr/bin/gnome-config) and librsvg into
  BuildReq to enable more features
* Tue Sep 25 2007 - lmichnovic@suse.cz
- update to version 2.5.23
  - obsoletes *string_compar.patch
  - fixes segfault on dual core processors [#304236]
- New Features in 2.5.23 cumulative with 2.5.22:
   - New Style command options:
  StartShaded
  UnderMousePlacementHonorsStartsOnPage
  UnderMousePlacementIgnoresStartsOnPage
  !MinOverlapPlacementPenalties
  !MinOverlapPercentPlacementPenalties
  MinWindowSize
   - SVG (scalable vector graphics) image loading support.
   - New extended variables
  $[w.iconfile.svgopts]
  $[w.miniiconfile.svgopts].
   - Added suffix 'w' to the arguments of the Move command and
  similar.  It is now possible to add multiple shifts to a
  window position, e.g. "50-50w 50-50w" for the center of the
  screen.
   - Removed UnderMousePlacement and CenterPlacement.  Use
  "PositionPlacement Center" and "PositionPlacement UnderMouse"
  instead.
   - Documentation in HTML format.
   - Replaced "UseListSkip" with "UseSkipList" & "OnlyListSkip" with
  "OnlySkipList" in WindowList command. (Old options deprecated.)
   - New subject ImageCache for PrintInfo command.
   - The new commad EchoFuncDefinition prints a function's
  definition to the console for debugging purposes.
   - The CursorStyle command can now load PNG and SVG images as
  mouse cursors.  New x and y arguments to specify the
  hot spot.  Also, it is now possible to load non-monochrome
  cursors and cursors with partial transparency.
-  New module features:
   - FvwmScript: New instructions: ChangeWindowTitle and
  ChangeWindowTitleFromArg.
- Bug Fixes:
   - Windows with aspect ratio no longer maximize past the screen
  edges.
   - Fixed CenterPlacement with Xinerama screens.
   - Fixed CascadePlacement with title direction west and east
   - Windows no longer unstick when going to fullscreen mode.
   - Fixed crash when raising/lowering a destroyed window.
   - Fixed expansion of $[n-] and $[*], broken in 2.5.20.
   - Fixes for resizing shaded windows and windows with a gravity
  other than northwest.
   - Fixed CursorStyle POSITION, broken since 2.3.24.
   - The hi, sh and fgsh colors in colorsets are no longer replaced
  by computed values if not explicit set on the same line as the
  bg, or for fgsh fg, changes. (bug #3359)
   - FvwmButtons now redraws stretched button backgrounds correctly
  on partial expose.
   - Windows with circular transient for hints may no longer crash
  fvwm with StackTransientParent style.
   - FvwmPager now displays windows that are StickyAcrossPages
  correctly.
   - Fixed a possible crash with modules closing down.
   - Fixed broken demo script fvwm_make_browse_menu.sh.
   - The conditon following a comma separator without whitespace
  padding was previously ignored if the presiding condition was
  multi-worded.
   - Various FvwmButtons drawing problems.
   - Window movement or resizing triggered by an EWMH message now
  honours the FixedSize and FixedPosition window styles.
   - Properly generate leave_window and enter_window events for
  the root window in FvwmEvent.
   - Fixed crash in UTF8 code.
   - Fixed parsing of the PropertyChange command.
   - Fixed windowlist crash when combining CurrentAtEnd with
  IconifiedAtEnd and all windows are iconified.
* Fri Aug 10 2007 - dmueller@suse.de
- package size reduction (#217472)
* Thu Jul 19 2007 - lmichnovic@suse.cz
- wiped susewmif from rc file because it's not available since 9.1
* Thu May 10 2007 - ro@suse.de
- split off FvwmGtk to its own subpackage
* Wed Apr 04 2007 - schwab@suse.de
- Fix last change.
* Wed Apr 04 2007 - lmichnovic@suse.cz
- fixed gcc warnings: comparing a char* pointer with a
  string literal (string_compar.patch)
* Fri Mar 09 2007 - lmichnovic@suse.cz
- Fixed corrupted characters in sax2 test mode for some locales
  [#251639] (*utf_encoding.patch)
* Wed Feb 28 2007 - lmichnovic@suse.cz
- renamed sv_SE to sv, (sv_SE.patch) [#248751]
- removed xorg-x11 from Requires and Buildrequires since
  /usr/share/xsessions is part of filesystem [#229172]
* Tue Feb 13 2007 - lmichnovic@suse.cz
- adjusted fvwm2rc file, thanks to Thomas Adam [#242015]
* Tue Feb 13 2007 - lmichnovic@suse.cz
- update to version 2.5.21
  * New feature: The command Scroll can now be used for interactive
  scrolling.
  * Bug Fix: Tile...Placement styles (SmartPlacement) that were
  broken in 2.5.20.
* Wed Jan 24 2007 - lmichnovic@suse.cz
- removed superfluous slashes ante macros
- now building with icecream
* Tue Jan 16 2007 - lmichnovic@suse.cz
- fixed wrong path for icons in system.fvwm2rc [#223521]
- changed titles to openSUSE
- created openSuSE.xpm icon for Button bar menu
- spec cleanup
* Mon Jan 15 2007 - lmichnovic@suse.cz
- update to 2.5.20
  - many bug fixes
  - fixed few memory leaks
  - some new functions and features:
  * "Mouse n M N" is no longer used to disable or remap the
  builtin tear off menu button. See the section Tear Off Menus.
  * Full support for menu context (M) key and mouse bindings.
  * New window conditions: StickyIcon, StickyAcrossPagesIcon
  and StickyAcrossDesksIcon.
  * Hilighted menu backgrounds now use pixmaps gradients and
  transparency from their related colorset.
* Fri Jan 05 2007 - lmichnovic@suse.cz
- fixed missing background image [#223521]
* Tue Dec 19 2006 - lmichnovic@suse.cz
- added xorg-x11 into Requires and Buildrequires and excluding
  /usr/share/xsessions directory from filelist [#229172]
* Tue Dec 12 2006 - lmichnovic@suse.cz
- update to version 2.5.19 including bugfix in FvwmWinList: problem
  with window name/button mixups during Init/Restart of fvwm.
  * Many bugfixes:
   - fvwm no longer crashes on 1 and 4 bit displays.
   - Security fix in fvwm-menu-directory. (CVE-2006-5969)
- which obsoletes *sec-fvwmname.patch
  * New features (from version 2.5.17):
   - New MenuStyle options TitleFont, TitleColorset and
  HilightTitleBack.
   - New command PressButton in module FvwmButtons for being able
  to emulate button press via other means than the mouse.
   - New wrap options to EdgeScroll command for wrapping with pixel
  distances.
   - New Style option UnderMousePlacement.
   - Unused arguments to Style options generate warnings.
   - The name style names match against can be augmented by the
  X-resource "fvwmstyle".
   - New options, Reverse and UseStack, to All command.
   - WindowShade can now reshade windows using the Last direction.
   - Positional parameters to complex functions can now be expanded
  using $[n], $[n-m], $[n-] and $[*] expressions.
   - The width and height arguments of the Resize command now
  accept the prefix 'w' to allow resizing relative to the
  current window size.
   - New command ModuleListenOnly.
   - New "Periodic" option added to Schedule command.
* Tue Nov 14 2006 - lmichnovic@suse.cz
- fixed possible command execution (sec-fvwmname.patch) [#220708]
* Tue Sep 05 2006 - lmichnovic@suse.cz
- distinquishing from X.org version which config file to install
  (Source4 resp. Source5)
* Mon Sep 04 2006 - lmichnovic@suse.cz
- omitting X11R6 in config file (which is Source4)
- specifying X.org libs and headers
* Sun Aug 06 2006 - pnemec@suse.cz
- major change in specfile instalation and file section to build
  with Xorg 7
* Mon Jul 03 2006 - schwab@suse.de
- Set mandir.
* Tue May 30 2006 - pnemec@suse.cz
- updated to 2.5.16
  clean up in code see changelog
- patches (-64bit, -grab_pointer, -conf) are in upstream now
- patch -ia64 is in upstream only partially
* Fri Feb 17 2006 - pnemec@suse.cz
- fixed menu entry #150221
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 20 2005 - pnemec@suse.cz
- changed fvmw default theme to use diferent program to set background #106011
- fixed gcc warnings
* Thu Aug 25 2005 - schwab@suse.de
- Remove obsolete patch.
* Mon May 16 2005 - ltinkl@suse.cz
- update to 2.5.12
- adapt patches
* Thu Feb 10 2005 - adrian@suse.de
- install session desktop file
* Thu Jan 27 2005 - ro@suse.de
- add 64bit fix from lubos (#50203)
* Fri May 07 2004 - ltinkl@suse.cz
- added mktemp to requirements
- updated sources to 2.5.10
* Thu Apr 08 2004 - ltinkl@suse.cz
- fix button background (#37677)
* Thu Mar 18 2004 - ltinkl@suse.cz
- fixed missing icons (#35551)
- fixed SUSE helpcenter command line
- reworked color scheme to match the current blueish design
- build the list of screensavers dynamically
- fixed the invocation of fvwm2 manpage
- build with -fno-strict-aliasing
- make Acroread work in fullscreen mode (#36189)
* Mon Mar 15 2004 - kukuk@suse.de
- Provide/Obsolete xpmroot
* Thu Mar 11 2004 - ltinkl@suse.cz
- SuSE -> SUSE
- use the default system wallpaper (#31644, #35687)
* Tue Mar 09 2004 - schwab@suse.de
- Don't require on xpmroot.
* Thu Mar 04 2004 - ltinkl@suse.cz
- updated to 2.4.9
* Wed Jan 28 2004 - ltinkl@suse.cz
- fix security problem with temp file handling (#34077)
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Dec 17 2003 - mfabian@suse.de
- enable building with Xft2 again (configure script had changed
  the way of detecting Xft2, therefore building with Xft2 was
  accidentally disabled again after the update).
* Tue Nov 18 2003 - ltinkl@suse.cz
- update to latest stable version 2.5.8
* Wed Sep 17 2003 - ltinkl@suse.cz
- fix menu encoding (has to be UTF-8)
- fix RMB desktop menu
* Mon Sep 15 2003 - ltinkl@suse.cz
- adjusted default fonts and fixed some broken menu entries (#30521)
* Sat Sep 13 2003 - schwab@suse.de
- Workaround broken module interface (it can't handle padding).
* Fri Sep 05 2003 - mfabian@suse.de
- enable Xft2 support to get better i18n support out of the box
  and to be able to finally fix Bugzilla #24765.
- change system.fvwm2rc to use only fonts via Xft2 by default
- specify "StringEncoding=UTF-8:" and ":encoding=iso10646-1"
  for all fonts (config file should be UTF-8 encoded!).
- remove my fvwm-nls-examples.tar.bz2 documentation, it is very
  obsolete now.
- add xpmroot to Requires because it is used to draw the
  background in system.fvwmrc.
* Fri Sep 05 2003 - ltinkl@suse.cz
- integrate common (XDG) menu, closes #29498
* Tue Sep 02 2003 - ltinkl@suse.cz
- created an implicit configuration to fix #29498
* Wed Jul 30 2003 - schwab@suse.de
- Update to fvwm 2.5.7.
- Fix misalignment bug.
* Tue Jul 15 2003 - ltinkl@suse.cz
- updated sources to 2.4.16
* Sat Mar 08 2003 - adrian@suse.de
- add wallpaper background pixmap
* Sun Feb 16 2003 - adrian@suse.de
- do not require icon packages anymore, default config will be
  without icons due to dropped package. Let's see what breaks :/
* Tue Feb 04 2003 - pmladek@suse.cz
- updated to version 2.4.15 (many bug fixes)
* Tue Sep 03 2002 - mfabian@suse.de
- add fvwm-2.4.8-utf-8-font-load.patch.
  Thanks to Egbert Eich <eich@suse.de>
  Without this patch, fvwm2 doesn't work in UTF-8 locales.
  It writes many "internal error" messages about missing fonts
  to stdout and the menus are empty because the fonts couldn't
  be loaded. I.e. without this patch fvwm2 is unusable in UTF-8
  locales.
* Sat Aug 17 2002 - ro@suse.de
- don't duplicate README's in filelist
* Tue Jul 09 2002 - pmladek@suse.cz
- updated to version 2.4.8:
  * many bugfixes, some improvents
- removed obsolete ia64-prep patch
* Tue Apr 02 2002 - pmladek@suse.cz
- fixed to compile with autoconf-2.53
  * added missing brackets into smr_SWITCH macro
  * removed redundant AC_SUBST(LIBOBJS)
* Wed Mar 06 2002 - mmj@suse.de
- Fixed permissions [Bug #14421]
* Sun Feb 10 2002 - ro@suse.de
- new option for bz2 tar is "j"
* Tue Feb 05 2002 - pmladek@suse.cz
- updated to version 2.4.5
* Mon Jan 21 2002 - pmladek@suse.cz
- updated to version 2.4.4
* Tue Dec 04 2001 - pmladek@suse.cz
- fixed too long time of deadlock when fvwm2 tries to grab mouse
  pointer but the mouse pointer is already grabbed by another
  application (#12167)
* Thu Nov 29 2001 - pmladek@suse.cz
- updated to version 2.4.3
  * many bug fixes
  * new commands and options
* Thu Aug 09 2001 - pmladek@suse.cz
- updated to stable version 2.4.0
- fixed configure.in
  * forget cached value in readline tests
* Thu Jun 14 2001 - pmladek@suse.cz
- fixed to compile with new automake
* Wed May 16 2001 - pmladek@suse.cz
- fixed cast warnigs on ia64
* Thu May 10 2001 - pmladek@suse.cz
- removed link:
  ln -sf system.fvwm2rc $RPM_BUILD_ROOT/etc/X11/fvwm2/.fvwm2rc
  (because susewm generates right config file system.fvwm2rc now)
- /etc/X11/fvwm2/system.fvwm2rc is right config file now
* Tue Apr 24 2001 - pmladek@suse.cz
- fixed conversions int <-> poiter on ia64
- fixed preprocesor problems on ia64
* Thu Apr 12 2001 - pmladek@suse.cz
- updated to version 2.3.31
* Mon Apr 09 2001 - pmladek@suse.cz
- added icons-xpm to Requires
* Wed Apr 04 2001 - mfabian@suse.de
- removed rplay again from "# neededforbuild" because a small
  fvwm2 is needed as a default windowmanager and rplay will not
  be in the default selection.
* Wed Apr 04 2001 - mfabian@suse.de
- added libstroke, libstroke-devel, and rplay to "# neededforbuild"
  (request of upstream fvwm2 authors)
* Fri Mar 30 2001 - pmladek@suse.cz
- updated to version 2.3.30
- added URL
- compiled witk GTK and IMLIB
  * added gtk gtk-devel gtkdoc glib glib-devel imlib imlib-devel
  imlib-config to neededforbuild
- fixed call of suse_update_config
* Thu Mar 15 2001 - cihlar@suse.cz
- fixed file list
- removed xselection, package xselect is better
* Wed Mar 07 2001 - mfabian@suse.de
- repair packaging mistake, forgot to pack /usr/X11R6/share/
* Wed Mar 07 2001 - mfabian@suse.de
- upgrade to fvwm2-2.3.29
- improve nls examples
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Sun Jan 28 2001 - mfabian@suse.de
- upgraded to "stable beta release" FVWM 2.3.28.
- added icons tarball (previously included in main tarball)
- added "--enable-multibyte" to ./configure
- added fvwm-nls-examples.tar.bz2 (explanation and examples
  for native language support, especially for Japanese)
- added symlink:
  ln -sf system.fvwm2rc $RPM_BUILD_ROOT/etc/X11/fvwm2/.fvwm2rc
  (because fvwm2 now reads only /etc/X11/fvwm2/system.fvwm2rc, but
  SuSEconfig generates /etc/X11/fvwm/.fvwm2rc)
- removed patches changing path of perl (handled by configure now)
- removed old i18n patch (already included upstream now)
* Wed Dec 13 2000 - cihlar@suse.cz
- fixed i18n patch [#4532]
- removed %%preun
* Mon Nov 20 2000 - cihlar@suse.cz
- fixed neededforbuild
- requires: icons ...
* Fri Oct 13 2000 - cihlar@suse.cz
- fixed i18n
- bzipped sources
- fixed configuration
* Fri Aug 18 2000 - cihlar@suse.cz
- fixed to work with new pixmaps
- fixed config file
* Tue Jun 06 2000 - kukuk@suse.de
- Update to 2.2.4
- Move sysconfdir to /etc/X11/fvwm2
* Mon Jun 05 2000 - ro@suse.de
- doc relocation
* Mon Dec 13 1999 - ro@suse.de
- use /usr/X11R6/bin instead of /usr/bin/X11
- use /usr/X11R6/lib/X11 instead of /usr/lib/X11
* Mon Sep 20 1999 - ro@suse.de
- added Provides windowmanager
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Jul 17 1999 - maddin@suse.de
- created package version 2.2.2 (based on and conflicting with fvwm-2.0)
